Bug 1121864 - [origin_node_401]Unexpected error "Cartridge manifest not found" appears if add one different cartridge after deleting the existing one via oo-cartridge
Summary: [origin_node_401]Unexpected error "Cartridge manifest not found" appears if a...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Containers
Version: 2.x
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 2.x
Assignee: Jhon Honce
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks: 1123893
TreeView+ depends on / blocked
 
Reported: 2014-07-22 05:32 UTC by Wenjing Zheng
Modified: 2015-05-14 23:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1123893 (view as bug list)
Environment:
Last Closed: 2014-10-10 00:49:17 UTC


Attachments (Terms of Use)

Description Wenjing Zheng 2014-07-22 05:32:57 UTC
Description:
If there is a cartridge existing in container, for example php, and try to add another different cartridge via oo-cartridge after deleting the existing one, there will be an error appears although the cartridge can be added successfully: 
Cartridge add failed
CLIENT_ERROR: Unexpected error: Cartridge manifest not found: /var/lib/openshift/123456/php/metadata/manifest.yml missing

Version-Release number of selected component (if applicable):
devenv_4992

How reproducible:
always

steps to Reproduce:
1. Create a container:
#oo-devel-node app-create --with-container-uuid '123456' --with-app-uuid '123456' --with-namespace 'dom1' --with-app-name 'app1'
2. Add a cartridge to it
#oo-cartridge  --with-container-uuid 123456 --action add --with-cartridge-name php-5.3
3. Delete the cartridge
#oo-cartridge --with-container-uuid 123456 --action delete --with-cartridge-name php-5.3
4. Add a different one 
#oo-cartridge  --with-container-uuid 123456 --action add --with-cartridge-name mysql-5.5

Actual results:
An error appears, however the cartridge can be added successfully:
Cartridge add failed
Cartridge manifest not found: /var/lib/openshift/123456/php/metadata/manifest.yml missing

Expected results:
It should be added without any errors.

Additional info:
There is no this error if try to add a same cartridge type in step 4.

Comment 1 Jhon Honce 2014-07-24 18:43:23 UTC
Fixed in https://github.com/openshift/origin-server/pull/5656

Comment 2 openshift-github-bot 2014-07-24 20:30:27 UTC
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/05b073ade1cd747e0fbcc4a88fb928a483120dd5
Bug 1121864 - Cleanup OPENSHIFT_PRIMARY_CARTRIDGE_DIR

Comment 3 Wenjing Zheng 2014-07-25 01:52:39 UTC
Verified on devenv_5008, the cartridge can be added after another different cartridge being deleted.


Note You need to log in before you can comment on or make changes to this bug.